Skip to main content
`Ctrl`+`K`

# uniform_spherical_random_volume

astropy.coordinates.uniform_spherical_random_volume(size=1, max_radius=1)

  Generate a random sampling of points that follow a uniform volume density distribution within a sphere.

  Parameters:
    size `python:int`

      The number of points to generate.

    max_radius number, astropy:quantity-like, optional

      A dimensionless or unit-ful factor to scale the random distances.

  Returns:
    rep `SphericalRepresentation`

      The random points.